| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::PropertySpec Struct Reference
Structure types

`#include <TelepathyQt/Types>`

## Public Attributes

uint | propertyID
QString | name
QString | signature
uint | flags

## Detailed Description

Structure type generated from the specification.

A struct (property ID, property name, D-Bus signature, flags) representing a property, as returned by ListProperties on the Properties interface.

## Member Data Documentation

uint Tp::PropertySpec::propertyID

QString Tp::PropertySpec::name

QString Tp::PropertySpec::signature

uint Tp::PropertySpec::flags